Title: Thinkapd x301 Restoration: Hardware Mods
Author: Alessandro Mauri

# Thinkapd x301 Restoration Project: Hardware Modifications

As I have to tear at least one Thinkpd down I thought that doing some hardware
modifications would be a good idea. Some things I would like to do are:

1. A display mod, the stock x301 display is decent but for 2008 stadards.
   As far as I know there are no good options for a display mod, as the x300
   and x301 screens were made specifically for these laptops, but maybe a
   good AFFS screen can be found and substituted.
2. USB-C charging, cheap USB-C PD power delivery [boards][usbc] can be used
   instead of the default charging connector, they signal compatible power
   supplies to deliver 20V thus charging the laptop. This is very cool because
   it allows old Thinkpads to be charged via modern chargers, which are among
   other things, much more efficien and light.
3. Cleaning the fan bearing. The old bearing is, well, old and it makes an
   awful sound. This is not only very unpleasant but also lowers cooling and
   power efficiency
4. Full repaste, very basic, much needed.
5. Changing the default wifi card to a "freedom respecting" [Atheros AR9382][wf]
   card, from 2010 it has a maximum speed of 300Mb in download and god-knows in
   upload. Certified under false brands as [RYF][ryf] hardware by the fsf is
   is very well supported by open-source drivers.
6. Use a microSata to MSata converter in order to use faster and more modern
   SSDs, this will increase the responsitivity of the machine by a lot.

## Display Panel Replacement

Easily the hardest mod of all, since no direct swaps are possible the only way
to proceed is heavily modifying either the case and/or the eDP cable (which
let me tell you is not fun). But after all that trouble you can end up with a
really nice AFFS display as shown here:

![A really nice AFFS display mod](img/affs.jpg)

This image was taken [from this forum post][affsforum]
   
[usbc]: https://www.electronics-lab.com/usb-c-pd-module-provides-9v-12v-15v-20v-sells-1e/
[wf]: https://static6.arrow.com/aropdfconversion/3819c6435740abdd592c1d40adffdfba809ffe79/ar9382.pdf
[ryf]: https://ryf.fsf.org/
[affsforum]: http://thinkpads.kr/xe/?mid=gallery&document_srl=80883
